Skip to main content
GET
/
tag
Get a tag
curl --request GET \
  --url https://www.getsnippets.ai/api/prompts/tag \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "tag": {},
    "snippets": [
      {}
    ]
  },
  "usage": {
    "remainingRequests": 123,
    "usageDeducted": 123
  },
  "pagination": {
    "limit": 123,
    "offset": 123,
    "totalSnippets": 123,
    "hasMore": true,
    "currentPage": 123,
    "totalPages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsnippets.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token. Include your API key in the Authorization header.

Query Parameters

tagId
string<uuid>
required

The ID of the tag

limit
integer
default:50

Maximum number of snippets to return (1-100, default: 50)

Required range: 1 <= x <= 100
offset
integer
default:0

Number of snippets to skip (default: 0)

Required range: x >= 0

Response

Tag retrieved successfully

success
boolean
Example:

true

data
object
usage
object
pagination
object